## conmon 0.3.0

=== debian/changelog ===
conmon (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #930898)

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Fri, 21 Jun 2019 22:08:54 -0700
