=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Upstream's `make clean` target is broken
override_dh_auto_clean:
	:

override_dh_auto_install:
	make install.podman DESTDIR=$(CURDIR)/debian/conmon PREFIX=/usr
