=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends: debhelper-compat (= 12),
                golang-go,
                libglib2.0-dev, libsystemd-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon
 Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
+Rules-Requires-Root: no
 
 Package: conmon
 Architecture: any
