## conmon 2.0.2

=== debian/changelog ===
conmon (2.0.2-1) unstable; urgency=low

  * New upstream release (2019-10-28)

  * debian/control
    + Update maintainership information
      - Transfer maintainership to a team address
      - Add Birger Schacht and Jamie Bliss to Uploaders
    + Declare compliance with policy v4.4.1.
      No change required

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Wed, 30 Oct 2019 12:35:53 +0100
