=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: conmon
 Section: admin
 Priority: optional
-Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
+Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
+Uploaders: Birger Schacht <birger@rantanplan.org>,
+           Jamie Bliss <jamie@ivyleav.es>,
+           Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends: debhelper-compat (= 12),
                golang-go,
                libglib2.0-dev, libsystemd-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon
 Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
