## conmon 2.0.8~3

=== debian/changelog ===
conmon (2.0.8~3) stable; urgency=medium

  * update LDFLAGS for aarch64 builds 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 19 Dec 2019 20:34:27 +0000

conmon (2.0.8~2) stable; urgency=medium

  * BR: libsystemd-dev 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 17 Dec 2019 16:03:02 +0000

conmon (2.0.8~1) stable; urgency=medium

  * bump to v2.0.8

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 17 Dec 2019 15:04:05 +0000

conmon (2.0.7~1) stable; urgency=medium

  * bump to v2.0.7 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 12 Dec 2019 21:34:01 +0000

conmon (2.0.3-2) stable; urgency=medium

  * rebuild on GitLab+OBS

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Nov 2019 14:36:48 +0000

conmon (2.0.3-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v2.0.3

 -- RH Container Bot <rh.container.bot@gmail.com>  Thu, 14 Nov 2019 14:13:09 +0000

conmon (2.0.2-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v2.0.2

 -- RH Container Bot <rh.container.bot@gmail.com>  Mon, 28 Oct 2019 21:13:30 +0000

conmon (2.0.1-1~ubuntu19.04~ppa3) disco; urgency=medium

  * autobuilt v2.0.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 11:03:47 +0000

conmon (2.0.1-1~ubuntu19.04~ppa2) disco; urgency=medium

  * autobuilt v2.0.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 10:54:48 +0000

conmon (2.0.1-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v2.0.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Mon, 07 Oct 2019 14:04:36 +0000

conmon (2.0.0-1~ubuntu19.04~ppa2) disco; urgency=medium

  * install for podman and crio

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Fri, 16 Aug 2019 13:45:32 +0000

conmon (2.0.0-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v2.0.0

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 11 Aug 2019 14:30:59 +0000

conmon (1.0.0-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.0.0-rc2

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 09 Aug 2019 14:30:44 +0000

conmon (0-1~dev~ubuntu18.04~ppa2) bionic; urgency=medium

  * build-depends: libglib2.0-dev
  * autobuilt cc2b495

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Mar 2019 14:08:04 +0000

conmon (0-1~dev~ubuntu18.04~ppa1) bionic; urgency=medium

  * initial build

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Mar 2019 09:06:49 -0400
