## conmon 2.0.9

=== debian/changelog ===
conmon (2.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Install README.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Jan 2020 20:45:49 +1100
