=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
 Uploaders: Birger Schacht <birger@rantanplan.org>,
            Jamie Bliss <jamie@ivyleav.es>,
-           Nicolas Braud-Santoni <nicoo@debian.org>
+           Nicolas Braud-Santoni <nicoo@debian.org>,
+           Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                golang-go,
                libglib2.0-dev, libsystemd-dev
