## conmon 2.0.10~1

=== debian/changelog ===
conmon (2.0.10~1) testing; urgency=medium

  * autobuilt v2.0.10

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Thu, 23 Jan 2020 09:10:31 +0000

conmon (2.0.9~1) testing; urgency=medium

  * autobuilt v2.0.9

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Wed, 22 Jan 2020 12:07:48 +0000

conmon (2.0.8~4) testing; urgency=medium

  * rebuild for testing gitlab+obs

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 22 Dec 2019 13:36:54 +0000
