=== debian/control ===
Source: conmon
Section: devel
Priority: optional
Maintainer: Lokesh Mandvekar <lsm5@fedoraproject.org>
Build-Depends: debhelper (>=9),
   libglib2.0-dev,
   libsystemd-dev
Standards-Version: 4.3.0
Homepage: https://github.com/containers/conmon.git
Vcs-Git: git://github.com/lsm5/conmon.git

Package: conmon
Architecture: any
Depends: ${misc:Depends},
Description: OCI container runtime monitor
