## conmon 2.0.18

=== debian/changelog ===
conmon (2.0.18-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.0.18, Closes: #964858

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 03 Aug 2020 12:57:11 -0400
