## conmon 2.0.20

=== debian/changelog ===
conmon (2.0.20-1) unstable; urgency=medium

  * New upstream version 2.0.20
  * debian/control: Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Aug 2020 10:13:27 -0400
