## conmon 2.0.25%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	dh_auto_build
+	make -C docs docs GOMD2MAN=/usr/bin/go-md2man
+
 # Upstream's `make clean` target is broken
 override_dh_auto_clean:
 	:
@@ -22,7 +26,7 @@
 	:
 
 override_dh_auto_install:
-	make install.podman DESTDIR=$(CURDIR)/debian/conmon PREFIX=/usr
+	make install.bin DESTDIR=$(CURDIR)/debian/conmon PREFIX=/usr
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.txt
