## conmon 2.0.25+ds1

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,16 @@
 GO ?= go
 PROJECT := github.com/containers/conmon
 PKG_CONFIG ?= pkg-config
+HEADERS := $(wildcard src/*.h)
+OBJS := src/conmon.o src/cmsg.o src/ctr_logging.o src/utils.o src/cli.o src/globals.o src/cgroup.o src/conn_sock.o src/oom.o src/ctrl.o src/ctr_stdio.o src/parent_pipe_fd.o src/ctr_exit.o src/runtime_args.o src/close_fds.o
+DEBUGTAG ?=
+ifneq (,$(findstring enable_debug,$(DEBUGTAG)))
+	DEBUGFLAG=-g
+else
+	DEBUGFLAG=
+endif
 
-
-
-.PHONY: all git-vars
+.PHONY: all git-vars docs
 all: git-vars bin bin/conmon
 
 git-vars:
@@ -43,52 +49,53 @@
 	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) -D USE_JOURNALD=0
 endif
 
-define DOCKERFILE
-	FROM alpine:latest
-	RUN apk add --update --no-cache bash make git gcc pkgconf libc-dev glib-dev glib-static
-	COPY . /go/src/$(PROJECT)
-	WORKDIR /go/src/$(PROJECT)
-	RUN make static
-endef
-export DOCKERFILE
+# Update nix/nixpkgs.json its latest stable commit
+.PHONY: nixpkgs
+nixpkgs:
+	@nix run -f channel:nixos-20.09 nix-prefetch-git -c nix-prefetch-git \
+		--no-deepClone https://github.com/nixos/nixpkgs > nix/nixpkgs.json
 
-containerized: bin
-	$(eval PODMAN ?= $(if $(shell podman -v),podman,docker))
-	echo "$$DOCKERFILE" | $(PODMAN) build --force-rm -t conmon-build -f - .
-	CTR=`$(PODMAN) create conmon-build` \
-		&& $(PODMAN) cp $$CTR:/go/src/$(PROJECT)/bin/conmon bin/conmon \
-		&& $(PODMAN) rm $$CTR
+# Build statically linked binary
+.PHONY: static
+static:
+	@nix build -f nix/
+	mkdir -p ./bin
+	cp -rfp ./result/bin/* ./bin/
 
-static:
-	$(MAKE) git-vars bin/conmon PKG_CONFIG='$(PKG_CONFIG) --static' CFLAGS='-static' LDFLAGS='$(LDFLAGS) -s -w -static' LIBS='$(LIBS)'
+bin/conmon: $(OBJS) | bin
+	$(CC) $(LDFLAGS) $(CFLAGS) $(DEBUGFLAG) -o $@ $^ $(LIBS)
 
-bin/conmon: src/conmon.o src/cmsg.o src/ctr_logging.o src/utils.o | bin
-	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
-
-%.o: %.c
-	$(CC) $(CFLAGS) -o $@ -c $<
+%.o: %.c $(HEADERS)
+	$(CC) $(CFLAGS) $(DEBUGFLAG) -o $@ -c $<
 
 config: git-vars cmd/conmon-config/conmon-config.go runner/config/config.go runner/config/config_unix.go runner/config/config_windows.go
 	$(GO) build $(LDFLAGS) -tags "$(BUILDTAGS)" -o bin/config $(PROJECT)/cmd/conmon-config
 		( cd src && $(CURDIR)/bin/config )
 
-src/cmsg.o: src/cmsg.c src/cmsg.h
-
-src/utils.o: src/utils.c src/utils.h
-
-src/ctr_logging.o: src/ctr_logging.c src/ctr_logging.h src/utils.h
-
-src/conmon.o: src/conmon.c src/cmsg.h src/config.h src/utils.h src/ctr_logging.h
+test: git-vars runner/conmon_test/*.go runner/conmon/*.go
+	$(GO) test $(LDFLAGS) -tags "$(BUILDTAGS)" $(PROJECT)/runner/conmon_test/
 
 bin:
 	mkdir -p bin
 
+.PHONY: vendor
+vendor:
+	GO111MODULE=on $(GO) mod tidy
+	GO111MODULE=on $(GO) mod vendor
+	GO111MODULE=on $(GO) mod verify
+
+.PHONY: docs
+docs: install.tools
+	$(MAKE) -C docs
+
 .PHONY: clean
 clean:
 	rm -rf bin/ src/*.o
+	$(MAKE) -C docs clean
 
 .PHONY: install install.bin install.crio install.podman podman crio
-install: install.bin
+install: install.bin docs
+	$(MAKE) -C docs install
 
 podman: install.podman
 
@@ -103,7 +110,21 @@
 install.podman: bin/conmon
 	install ${SELINUXOPT} -D -m 755 bin/conmon $(DESTDIR)$(LIBEXECDIR)/podman/conmon
 
+install.tools:
+	make -C tools
+
 .PHONY: fmt
 fmt:
-	find . '(' -name '*.h' -o -name '*.c' ')'  -exec clang-format -i {} \+
+	find . '(' -name '*.h' -o -name '*.c' ! -path './vendor/*' ')'  -exec clang-format -i {} \+
+	find . -name '*.go' ! -path './vendor/*' -exec gofmt -s -w {} \+
 	git diff --exit-code
+
+
+.PHONY: dbuild
+dbuild:
+	-mkdir -p bin
+	-podman rm conmon-devenv
+	podman build -t conmon-devenv:latest .
+	podman create --name conmon-devenv conmon-devenv:latest
+	podman cp conmon-devenv:/devenv/bin/conmon bin/conmon
+	@echo "for installation move conmon file to /usr/local/libexec/podman/"
