=== debian/changelog ===
conmon (2.0.25+ds1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix to not make container runtime processes
    unkillable. (Closes: #990263)

 -- Adrian Bunk <bunk@debian.org>  Wed, 14 Jul 2021 20:46:07 +0300

conmon (2.0.25+ds1-1) unstable; urgency=medium

  * New upstream release
  * Install manpage
  * Install conmon to /usr/bin (Closes: #944104)
  * debian/copyright: normalize with 'cme update dpkg-copyright'

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 22:56:56 -0500
