## conmon 2.1.0+ds1

=== debian/changelog ===
conmon (2.1.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, merge upstream

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 May 2022 20:25:27 -0400
