## conmon 2.1.3+ds1

=== debian/changelog ===
conmon (2.1.3+ds1-1) unstable; urgency=medium

  * New upstream release
    - Fixes: conmon: address already in use, closes: #999548

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Aug 2022 16:12:36 +0200

conmon (2.1.2+ds1-2) unstable; urgency=medium

  * Add golang-github-containers-conmon-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Jul 2022 18:15:11 -0400

conmon (2.1.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: normalize with 'cme update dpkg-copyright'
  * Bump standards-version, no changes needed
  * debian/upstream/metadata: add bug-database

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Jul 2022 16:53:27 -0400
