=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>,
-           Jamie Bliss <jamie@ivyleav.es>,
+Uploaders: Jamie Bliss <jamie@ivyleav.es>,
            Nicolas Braud-Santoni <nicoo@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
            Reinhard Tartler <siretart@tauware.de>,
@@ -13,7 +12,7 @@
                libglib2.0-dev,
                libseccomp-dev,
                libsystemd-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon
 Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
@@ -45,3 +44,14 @@
  Written in C and designed to have a low memory footprint, conmon is intended to
  be run by a container managing library. Essentially, conmon is the smallest
  daemon a container can have.
+
+Package: golang-github-containers-conmon-dev
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: OCI container runtime monitor 
+ Conmon is a monitoring program and communication tool between a container
+ manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
+ single container.
+ .
+ This package contains golang sources that other packages may require for
+ building.
