## conmon 2.1.6+ds1

=== debian/changelog ===
conmon (2.1.6+ds1-1) unstable; urgency=medium

  * New upstream release
  * Avoid Build-Depends on golang-go, Closes: #1023042

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 11 Feb 2023 12:41:46 -0500
