=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
            Reinhard Tartler <siretart@tauware.de>,
 Build-Depends: debhelper-compat (= 12),
                go-md2man,
-               golang-go,
                libglib2.0-dev,
                libseccomp-dev,
                libsystemd-dev,
