=== debian/changelog ===
conmon (2.1.10+ds1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:48:49 +0000

conmon (2.1.10+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:07:23 +0000

conmon (2.1.10+ds1-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Healthcheck containers write error to system journal",
    thanks to Matthew Horan (Closes: #1054629).
  * Bug fix: "Fails to build source after successful build",
    thanks to Lucas Nussbaum (Closes: #1044372).
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 Feb 2024 06:35:32 -0500
