=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: conmon
 Section: admin
 Priority: optional
-Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
 Uploaders: Jamie Bliss <jamie@ivyleav.es>,
            Nicolas Braud-Santoni <nicoo@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
@@ -11,7 +12,7 @@
                libglib2.0-dev,
                libseccomp-dev,
                libsystemd-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon
 Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
