=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: conmon
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
+Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
 Uploaders: Jamie Bliss <jamie@ivyleav.es>,
            Nicolas Braud-Santoni <nicoo@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
-           Reinhard Tartler <siretart@tauware.de>,
+           Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 12),
                go-md2man,
                libglib2.0-dev,
                libseccomp-dev,
-               libsystemd-dev,
+               libsystemd-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/containers/conmon
-Vcs-Browser: https://salsa.debian.org/podman-team/conmon
-Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/conmon
+Vcs-Git: https://salsa.debian.org/go-team/packages/conmon.git
 Rules-Requires-Root: no
 
 Package: conmon
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: OCI container runtime monitor
  Conmon is a monitoring program and communication tool between a container
  manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
@@ -47,8 +46,9 @@
 
 Package: golang-github-containers-conmon-dev
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: OCI container runtime monitor 
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: OCI container runtime monitor
  Conmon is a monitoring program and communication tool between a container
  manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
  single container.
