## conmon 2.1.13%2Bds1

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
            Nicolas Braud-Santoni <nicoo@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
            Reinhard Tartler <siretart@tauware.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                go-md2man,
                libglib2.0-dev,
                libseccomp-dev,
                libsystemd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/go-team/packages/conmon
 Vcs-Git: https://salsa.debian.org/go-team/packages/conmon.git
@@ -43,15 +43,3 @@
  Written in C and designed to have a low memory footprint, conmon is intended to
  be run by a container managing library. Essentially, conmon is the smallest
  daemon a container can have.
-
-Package: golang-github-containers-conmon-dev
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: OCI container runtime monitor
- Conmon is a monitoring program and communication tool between a container
- manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
- single container.
- .
- This package contains golang sources that other packages may require for
- building.
