=== debian/tests/control ===
Tests: test-binary
Depends: bats,
         ca-certificates,
         runc,
         @,
         @builddeps@,
         @recommends@
Restrictions: allow-stderr, needs-internet, needs-root, rw-build-tree
