=== debian/changelog ===
conmon (2.1.13+ds1-2) unstable; urgency=medium

  * autopkgtest: no longer require isolation-machine, amd64

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 18 Sep 2025 20:07:39 -0400

conmon (2.1.13+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit, Security-Contact.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Reinhard Tartler ]
  * New upstream version
  * autopkgtests: Mark test as needing internet
  * Backup upstream rewrite of the integration tests. This replaces the
    ginkgo-based tests implemented in golang with bats that are more
    reliable Closes: #1111871
  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Sep 2025 06:19:30 -0400
